jflow 启动报错

java.lang.UnsupportedClassVersionError: com/jfinal/core/JFinalFilter : Unsupported major.minor version 52.0 (unable to load class com.jfinal.core.JFinalFilter)

一直报这个错。使用在以下两个环境启动都是一样:

TOMCAT7+JDK1.7

OR

TOMCAT8+JDK1.8



评论区

ihss23

2019-09-06 14:02

麻烦波总帮看看@jfinal

鼻涕刘o0

2019-09-06 14:41

看错误信息就是jdk版本的问题,但是你1.8的环境也出问题,就不清楚了。我觉得大概率是环境的问题,再检查检查环境。

tranfer

2019-09-06 14:47

你得看你编译时的环境版本是多少啊~

ihss23

2019-09-06 14:50

@鼻涕刘o0,多谢回复。JFLOW的代码上写的是JDK1.6的。不过问了下@周朋,他回复说1.7以上吧。所以我就在上面两个版本下都测试。但都不行。如果再排除其它原因,只能再换成1.6再试试了。

ihss23

2019-09-06 14:52

@tranfer, 编译用的是eclipse, JFLOW项目本身用的是MAVEN. 我在编译时是分别对应版本再生成WAR再发布到相应的TOMCAT的。

JFinal

2019-09-06 15:51

@ihss23 jfinal 从 3.5 开始,起步 JDK 1.8

ihss23

2019-09-06 15:55

@鼻涕刘o0@tranfer,再次感谢。原来是我开发的电脑同时安装的两个版本。测试时没完全切换过来。见笑了。

ihss23

2019-09-06 15:59

@JFinal 多谢波总回复。用了3.2后,我就没有过来这边UPDATE 了。今天看到 JFinal 更新了好多。祝JFinal越来越好。

JFinal

2019-09-06 16:17

@ihss23 用法基本没变化,很多增强与改进,这里是升级文档:
https://www.jfinal.com/doc/14-1

分分钟升级完成

ihss23

2019-09-09 09:58

@JFinal, 多谢波总。

xiuj

2019-09-09 12:33

jdk版本问题。

ihss23

2019-09-11 14:40

@xiuj, 是的。多谢。